c
c=======================================================================
c  Include file "gridsparm.h" (GRIDS package).
c=======================================================================
#ifndef rmdocinc
c
c  This file contains parameters to define the array sizes.
c
c     DIMI     Dimension of contour integer work space.    (integer)
c     DIMM     Dimension of area map work space.           (integer)
c     DIMR     Dimension of contour real work space.       (integer)
c     IJMX     Max(imt,jmt)                                (integer)
c     IMT      Number of grid points in the x direction.   (integer)
c     JMT      Number of grid points in the y direction.   (integer)
c     MAX_CL   Maximum number of contour levels.           (integer)
c     MXCST    Maximum number of points in a coastline.    (integer)
c     MX_LVL   Maximum number of vertical model levels.    (integer)
c
c=======================================================================
#endif
c
      integer dimi,dimm,dimr,ijmx,imjm,imm1,imt,jmm1,jmt,max_cl,mxcst,
     &        mx_lvl
c
#ifndef rmdocinc
c-----------------------------------------------------------------------
c  Parameters to be set.
c-----------------------------------------------------------------------
c
#endif
      parameter (imt=512, jmt=256, ijmx=512, max_cl=120, mx_lvl=100,
     &           dimm=20*imt*jmt, mxcst=1500000,
     &           dimi = 10000, dimr = 10000)
c
#ifndef rmdocinc
c-----------------------------------------------------------------------
c  Derived parameters.
c-----------------------------------------------------------------------
c
#endif
      parameter (imm1=imt-1, jmm1=jmt-1, imjm=imt*jmt)
